# Accounting Periods A key step in configuring Finance is to create accounting periods in Zuora to match your company's financial calendar. This allows Zuora to produce reports and data exports organized by accounting periods, and to perform the work of closing the accounting periods for the revenue sub-ledger. ## List all accounting periods - [GET /v1/accounting-periods](https://developer.zuora.com/v1-api-reference/api/accounting-periods/get_allaccountingperiods.md): Retrieves all accounting periods on your tenant. ## Create an accounting period - [POST /v1/accounting-periods](https://developer.zuora.com/v1-api-reference/api/accounting-periods/post_accountingperiod.md): Creates an accounting period. Prerequisites ------------- * You must have Zuora Finance enabled on your tenant. * You must have the Create Accounting Period user permission. Limitations ----------- * When creating the first accounting period on your tenant, the start date must be equal to or earlier than the date of the earliest transaction on the tenant. * Start and end dates of accounting periods must be contiguous. For example, if one accounting period ends on January 31, the next period must start on February 1. * If you have the Revenue Recognition Package and have enabled the "Monthly recognition over time" revenue recognition model, the accounting period start date and end date must be on the first day and last day of the month, respectively. Note that the start and end dates do not necessarily have to be in the same month. ## Delete an accounting period - [DELETE /v1/accounting-periods/{ap-id}](https://developer.zuora.com/v1-api-reference/api/accounting-periods/delete_accountingperiod.md): Deletes an accounting period. ### Prerequisites * You must have Zuora Finance enabled on your tenant. * You must have the Delete Accounting Period user permission. See Finance Roles. ### Limitations The accounting period to be deleted: * Must be the most recent accounting period. * Must be an open accounting period. * Must have no revenue distributed into it. * Must not have any active journal entries. * Must not be the open-ended accounting period. * Must not be in the process of running a trial balance. ## Retrieve an accounting period - [GET /v1/accounting-periods/{ap-id}](https://developer.zuora.com/v1-api-reference/api/accounting-periods/get_accountingperiod.md): Retrieves an accounting period. Prerequisites: You must have Zuora Finance enabled on your tenant. ## Update an accounting period - [PUT /v1/accounting-periods/{ap-id}](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_updateaccountingperiod.md): Updates an accounting period. Prerequisites ------------- * You must have Zuora Finance enabled on your tenant. * You must have the Create Accounting Period user permission. See Finance Roles. Limitations ----------- * You can update the start date of only the earliest accounting period on your tenant. You cannot update the start date of later periods. * If you update the earliest accounting period, the start date must be equal to or earlier than the date of the earliest transaction on the tenant. * Start and end dates of accounting periods must be contiguous. For example, if one accounting period ends on January 31, the next period must start on February 1. * If you have the Revenue Recognition Package and have enabled the "Monthly recognition over time" revenue recognition model, the accounting period start date and end date must be on the first day and last day of the month, respectively. Note that the start and end dates do not necessarily have to be in the same month. * You cannot update the start date or end date of an accounting period if: * Any revenue has been distributed into the period. * The period has any active journal entries. ## Close an accounting period - [PUT /v1/accounting-periods/{ap-id}/close](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_closeaccountingperiod.md): Close an accounting period by accounting period ID. Prerequisites ------------- You must have Zuora Finance enabled on your tenant. You must have the Manage Close Process and Run Trial Balance user permissions. Limitations ----------- * The accounting period cannot already be closed. * The accounting period cannot be in the process of running a trial balance. * All earlier accounting periods must be closed. * There must be no required action items for the accounting period. See Reconcile Transactions Before Closing an Accounting Period for more information. Notes ----- When you close an accounting period in Zuora, a trial balance is automatically run for that period. A successful response means only that the accounting period is now closed, but does not mean that the trial balance has successfully completed. ## Set an accounting period to pending close - [PUT /v1/accounting-periods/{ap-id}/pending-close](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_pendingcloseaccountingperiod.md): Sets an accounting period to pending close. Prerequisites ------------- * You must have Zuora Finance enabled on your tenant. * You must have the Manage Close Process and Run Trial Balance user permissions. Limitations ----------- * The accounting period cannot be closed or pending close. * The accounting period cannot be in the process of running a trial balance. * All earlier accounting periods must be closed. Notes ----- When you set an accounting period to pending close in Zuora, a trial balance is automatically run for that period. A response of { "success": true } means only that the accounting period status is now pending close, but does not mean that the trial balance has successfully completed. You can use the Get Accounting Period REST API call to view details about the outcome of the trial balance. ## Reopen an accounting period - [PUT /v1/accounting-periods/{ap-id}/reopen](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_reopenaccountingperiod.md): Re-opens an accounting period. Prerequisites ------------- * You must have Zuora Finance enabled on your tenant. * You must have the Manage Close Process and Run Trial Balance user permissions. Limitations ----------- * The accounting period must be closed or pending close. * You can only re-open an accounting period that is immediately previous to an open period. ## Run trial balance - [PUT /v1/accounting-periods/{ap-id}/run-trial-balance](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_runtrialbalance.md): Runs the trial balance for an accounting period. Prerequisites ------------- * You must have Zuora Finance enabled on your tenant. * You must have the Manage Close Process and Run Trial Balance user permissions. See Finance Roles. Limitations ----------- * The accounting period must be open. * The accounting period cannot already be in the process of running a trial balance. Notes ----- The trial balance is run asynchronously. A response of { "success": true } means only that the trial balance has started processing, but does not mean that the trial balance has successfully completed. You can use the Get Accounting Period REST API call to view details about the outcome of the trial balance.